Export Contact Profile - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Export Contact Profile
POST/v2.0/profiles/{profileId}/data/export
cURL Example
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/profiles/{profileId}/data/export \
--header 'X-API-Key: <api-key>'
Python Example
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/profiles/{profileId}/data/export"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript Example
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/profiles/{profileId}/data/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/profiles/{profileId}/data/export",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "POST",\
CURLOPT_HTTPHEADER => [\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go Example
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/profiles/{profileId}/data/export"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
- 200: Success
- 400: Bad Request
- 401: Unauthorized
- 402: Payment Required
- 403: Forbidden
- 404: Not Found
- 405: Method Not Allowed
- 409: Conflict
- 413: Payload Too Large
- 500: Internal Server Error
- 501: Not Implemented
- 502: Bad Gateway
- 503: Service Unavailable
- 504: Gateway Timeout
Sample Response
{
"profile": {
"prevent_data_collection": true,
"accepted_gdpr": true,
"privacy_policy": {},
"tasks": [
"buyer"
],
"memories": [
{
"id": "123456",
"timestamp": "2024-09-23T08:37:00Z",
"text": "This is a memory."
}
],
"firstname": "Max",
"lastname": "Mustermann",
"email": "jsmith@example.com",
"profilepic": ""
},
"active": true,
"contactIds": [
"mail@example.com"
],
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>",
"contactInput": [
{
"_id": "<string>",
"sessionId": "f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"inputText": "Hi, my name is Max.",
"timestamp": "2023-11-07T05:31:56Z",
"channel": "webchat3"
}
]
}
Authorizations
- X-API-Key: Required to be supplied in the HTTP-Header.
Headers
Accept
- Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
- profileId: Required string of length 24. Pattern:
^[a-z0-9]{24}$.